Name:           sunwait
Summary:        Calculate sunrise, sunset, twilight
Version:        20041208
Release:        1%{?dist}
License:        GPLv2
Group:          Applications/System
URL:            http://www.risacher.org/sunwait/
Source0:        http://www.risacher.org/sunwait/sunwait-20041208.tar.gz
Source1:        http://www.risacher.org/sunwait/index.html

# As of 20-DEC-2014, the source code for the new fork sunwait4windows
# is not being provided in any archive format conducive for packaging,
# so I'm using the author's 2004 release, which still works fine.
# I'll contact Ian Craig, maintainer of the fork, about better source
# release packaging.

# Upstream notified of incorrect-fsf-address by email on 20-DEC-2014

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%description
Sunwait is a small C program for calculating sunrise and sunset, as
well as civil, nautical, and astronomical twilights. It has features
that make it useful for home automation tasks.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
install -d -m 755 ${RPM_BUILD_ROOT}/%{_bindir}
install -m 755 sunwait ${RPM_BUILD_ROOT}/%{_bindir}
install -d -m 755 ${RPM_BUILD_ROOT}/%{_pkgdocdir}
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_pkgdocdir}/sunwait.html

%files
%doc COPYING
%{_bindir}/sunwait

%changelog
* Fri Dec 20 2013 Eric Smith <spacewar@gmail.com> - 20041208-1
- Initial build.
